#
# spec file for package docbk30 (Version 3.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

%define dtd docbk30.tar.Z
%define docu dbhset.tar.gz
%define curr db109.zip
%define db2html db2html.dsl.mail
%define pkgdif docbk30.dif
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755 -o root -g root
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         docbk30
Release:      17
Copyright:    Copyright 1992, 1993, 1994, 1995, 1996 HaL Computer Systems, Inc., O'Reilly Copyright:  Associates, Inc., ArborText, Inc., and Fujitsu Software Corporation.
Group: 
Provides:     dbhset 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      DocBook: DTD and DSSSL-files
Version:      3.0
### Version macros are defined so I can use them below,
### don't use macros for "Source:" and "Patch:" values.
Source: ftp://ftp.ora.com/pub/davenport/current/docbk30.tar.Z
Source1: http://www.ora.com/davenport/dbdoc/dbhset.tar.gz
Source2: http://www.berkshire.net/~norm/docbook/dsssl/db109.zip
Source3: db2html.dsl.mail
Patch: docbk30.dif
BuildRoot: /var/tmp/db
# Provides:     dbhset 
%description
DocBook: DTD and DSSSL-files
Group:

Authors:
--------
    Eve L. Maler <elm@arbortext.com>
    Terry Allen <tallen@sonic.net>
    Norman Walsh <norm@berkshire.net>

%prep
%setup -n $RPM_PACKAGE_NAME -c -T
mkdir -p dtd html # dsl/{print,html}
cd dtd
tar zvvxf $RPM_SOURCE_DIR/%{dtd}
if [ $? -ne 0 ]; then
  exit $?;
fi
cd .. 
cd html
gzip -dc $RPM_SOURCE_DIR/%{docu} | tar -xvvf -
if [ $? -ne 0 ]; then
  exit $?;
fi
cd ..
unzip -a $RPM_SOURCE_DIR/%{curr}
if [ $? -ne 0 ]; then
  exit $?;
fi
cp $RPM_SOURCE_DIR/%{db2html} .
# %setup -T -D -a 1
cat $RPM_SOURCE_DIR/%{pkgdif} | patch -s -p0
rm -f html/index.html.orig
chmod -R a+rX,g-w,o-w .
%build
(cd docbook && ln -sf doc dsl)
%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
pkg_name=docbk30
doc_dir=$RPM_BUILD_ROOT/usr/doc/packages/$pkg_name
sgml_dir=$RPM_BUILD_ROOT/usr/share/sgml
sgml_config_dir=$RPM_BUILD_ROOT/var/lib/sgml
%{INSTALL_DIR} $sgml_dir/docbk30/dsl/{common,html,lib,print}
%{INSTALL_DIR} $sgml_config_dir
%{INSTALL_DIR} $sgml_dir/USA-DOD/dtd
%{INSTALL_DIR} $sgml_dir/Davenport/{elements,entities,dtd}
%{INSTALL_DIR} $sgml_dir/Norman_Walsh/document
%{INSTALL_DIR} $doc_dir/test
%{INSTALL_DATA} element-list.txt README.SuSE $doc_dir
%{INSTALL_DATA} CATALOG.docbk30 $sgml_config_dir/CATALOG.docbk30
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.docbk30 CATALOG.docbk30)
cp -a html $doc_dir
if [ "$UID" = "0" ] ; then
  chown -R root.root $doc_dir
fi
# dtd and
# documentation
(cd dtd \
   && %{INSTALL_DATA} cals-tbl.dtd dbgenent.mod dbhier.mod \
           dbpool.mod docbook.cat docbook.dcl docbook.dtd \
              $sgml_dir/docbk30 \
   && %{INSTALL_DATA} 30chg.txt 40issues.txt announce.txt $doc_dir )
# documentation
(cd docbook \
   && %{INSTALL_DATA} README $doc_dir/README.dsl \
   && %{INSTALL_DATA} BUGS $doc_dir/BUGS.dsl \
   && %{INSTALL_DATA} TODO $doc_dir/TODO.dsl \
   && ln -sf doc dsl && cp -pr dsl $doc_dir/html )
# dsssl
(cd docbook/common \
   && %{INSTALL_DATA} *.dsl *.sgm $sgml_dir/docbk30/dsl/common \
   && %{INSTALL_DATA} README $doc_dir/README.dsl_common)
(cd docbook/html \      
   && %{INSTALL_DATA} XREF *.dsl $sgml_dir/docbk30/dsl/html \
   && %{INSTALL_DATA} README $doc_dir/README.dsl_html )
(cd docbook/lib \      
   && %{INSTALL_DATA} *.sgm *.dsl $sgml_dir/docbk30/dsl/lib \
   && %{INSTALL_DATA} README $doc_dir/README.dsl_lib )
(cd docbook/print \
   && %{INSTALL_DATA} XREF *.dsl $sgml_dir/docbk30/dsl/print \
   && %{INSTALL_DATA} README $doc_dir/README.dsl_print)
# documentation (test)
(cd docbook/test \
   && cp -a * $doc_dir/test )
# misc
cp %{db2html} $doc_dir
# dtd (links)
rm -f $sgml_dir/USA-DOD/dtd/Table_Model_951010 2>/dev/null || echo $sgml_dir/USA-DOD/dtd/Table_Model_951010 $SLDIRERROR >&2
(cd $sgml_dir/USA-DOD/dtd \
    && ln -s ../../docbk30/cals-tbl.dtd Table_Model_951010 )
rm -f $sgml_dir/Davenport/dtd/DocBook_V3.0 2>/dev/null || echo $sgml_dir/Davenport/dtd/DocBook_V3.0 $SLDIRERROR >&2
(cd $sgml_dir/Davenport/dtd \
    && ln -s ../../docbk30/docbook.dtd DocBook_V3.0 )
rm -f $sgml_dir/Davenport/entities/DocBook_Additional_General_Entities_V3.0 2>/dev/null || echo $sgml_dir/Davenport/entities/DocBook_Additional_General_Entities_V3.0 $SLDIRERROR >&2
(cd $sgml_dir/Davenport/entities \
    && ln -s ../../docbk30/dbgenent.mod DocBook_Additional_General_Entities_V3.0)
rm -f $sgml_dir/Davenport/elements/DocBook_Document_Hierarchy_V3.0 2>/dev/null || echo $sgml_dir/Davenport/elements/DocBook_Document_Hierarchy_V3.0 $SLDIRERROR >&2
(cd $sgml_dir/Davenport/elements \
    && ln -s ../../docbk30/dbhier.mod DocBook_Document_Hierarchy_V3.0)
rm -f $sgml_dir/Davenport/elements/DocBook_Information_Pool_V3.0 2>/dev/null || echo $sgml_dir/Davenport/elements/DocBook_Information_Pool_V3.0 $SLDIRERROR >&2
(cd $sgml_dir/Davenport/elements \
    && ln -s ../../docbk30/dbpool.mod DocBook_Information_Pool_V3.0)
# dsssl (links)
(cd $sgml_dir/Norman_Walsh/document \
    && ln -sf ../../docbk30/dsl/print/docbook.dsl DocBook_Print_Stylesheet \
    && ln -sf ../../docbk30/dsl/html/docbook.dsl  DocBook_HTML_Stylesheet \
    && ln -sf ../../docbk30/dsl/lib/dblib.dsl     DSSSL_Library)
%clean
# rm -fr $RPM_BUILD_ROOT
# %doc element-list.txt README.SuSE
#%doc docbook/dsl
%files
%config /var/lib/sgml/CATALOG.docbk30
/usr/share/sgml/CATALOG.docbk30
/usr/share/sgml/docbk30
/usr/doc/packages/docbk30
/usr/share/sgml/USA-DOD/dtd/Table_Model_951010
/usr/share/sgml/Davenport/dtd/DocBook_V3.0
/usr/share/sgml/Davenport/entities/DocBook_Additional_General_Entities_V3.0
/usr/share/sgml/Davenport/elements/DocBook_Document_Hierarchy_V3.0
/usr/share/sgml/Davenport/elements/DocBook_Information_Pool_V3.0
/usr/share/sgml/Norman_Walsh/document/DocBook_Print_Stylesheet
/usr/share/sgml/Norman_Walsh/document/DocBook_HTML_Stylesheet
/usr/share/sgml/Norman_Walsh/document/DSSSL_Library

